- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionTabV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 333 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionTabV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 2 }
## Public Member Functions
| QStyleOptionTabV2 ()
| QStyleOptionTabV2 (const QStyleOptionTabV2 &other)
| QStyleOptionTabV2 (const QStyleOptionTab &other)
QStyleOptionTabV2 & | operator= (const QStyleOptionTab &other)
## Public Attributes
QSize | iconSize
## Protected Member Functions
| QStyleOptionTabV2 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionTab.

Reimplemented in QStyleOptionTabV3.

Definition at line 336 of file qstyleoption.h.

    { Version = 2 };

## Constructor & Destructor Documentation

QStyleOptionTabV2 | ( |  | ) |

QStyleOptionTabV2 | ( | const QStyleOptionTabV2 & | other | ) | `[inline]`

Definition at line 339 of file qstyleoption.h.

    : QStyleOptionTab(Version) { *this = other; }

QStyleOptionTabV2 | ( | const QStyleOptionTab & | other | ) |

QStyleOptionTabV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionTabV2& operator= | ( | const QStyleOptionTab & | other | ) |

Reimplemented in QStyleOptionTabV3.

## Member Data Documentation

QSize iconSize

Search for all occurrences

Definition at line 337 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2
QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2 QStyleOptionTabV2